Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hibergui.generator.tool.xml
Class ConfigReader

    java.lang.Object
      hibergui.generator.tool.xml.XMLReader
          hibergui.generator.tool.xml.ConfigReader

    public class ConfigReader

extends XMLReader

Reads HiberGUI configuration (`hibergui-configuration`) file. Validate it by DTD file which is specified at `DOCTYPE` element of mapping XML or if it is not available - file doesn't exist - then validate by DTD file in `hibergui.jar` archive.

Author:
  Csaba Gyenge

Field Summary
`private static java.lang.String` | `DTD_FILE`
`private static java.lang.String` | `DTD_FOLDER`
`private static java.lang.String` | `MAPPING_ATTRIBUTE_NAME`
`private static java.lang.String` | `MAPPING_NODE_NAME`
`private static java.lang.String` | `ROOT_NODE_NAME`

Constructor Summary
`ConfigReader(java.lang.String file)`

Method Summary
`java.util.ArrayList<java.lang.String>` | `getMappingResources()` Get list of path of XML resource documents.

Methods inherited from class hibergui.generator.tool.xml.XMLReader
`getDOM, getNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_NODE_NAME

    private static final java.lang.String ROOT_NODE_NAME

See Also:
  Constant Field Values

### MAPPING_NODE_NAME

    private static final java.lang.String MAPPING_NODE_NAME

See Also:
  Constant Field Values

### MAPPING_ATTRIBUTE_NAME

    private static final java.lang.String MAPPING_ATTRIBUTE_NAME

See Also:
  Constant Field Values

### DTD_FOLDER

    private static final java.lang.String DTD_FOLDER

See Also:
  Constant Field Values

### DTD_FILE

    private static final java.lang.String DTD_FILE

See Also:
  Constant Field Values

Constructor Detail

### ConfigReader

    public ConfigReader(java.lang.String file)
                 throws org.xml.sax.SAXException,
                        java.io.IOException,
                        javax.xml.parsers.ParserConfigurationException,
                        javax.xml.transform.TransformerException

Throws:
  `org.xml.sax.SAXException`
  `java.io.IOException`
  `javax.xml.parsers.ParserConfigurationException`
  `javax.xml.transform.TransformerException`

Method Detail

### getMappingResources

    public java.util.ArrayList<java.lang.String> getMappingResources()

  Get list of path of XML resource documents.

  Returns:
    List of path of XML resource documents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD